package com.recovery.admin.boot.controller;


import com.recovery.admin.boot.service.IMemberUserService;
import com.recovery.admin.boot.service.UserService;

import com.recovery.common.base.dto.MemberUserAuthDTO;
import com.recovery.common.base.dto.UserAuthDTO;
import com.recovery.common.base.result.ApiResult;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

/**
 * @author： 
 */
@RestController
@RequestMapping("/api/v1/users")
@Slf4j
@RequiredArgsConstructor
public class UserController {

    private final UserService userService;

    private final IMemberUserService memberUserService;

    /**
     * 获取用户信息
     */
    @GetMapping("/username")
    public ApiResult<UserAuthDTO> getUserByUsername(@RequestParam String username) {
        UserAuthDTO user = userService.getByUsername(username);
        return ApiResult.ok(user);
    }
    /**
     * 获取会员用户信息
     */
    @GetMapping("/member/username/{username}")
    public ApiResult<MemberUserAuthDTO> getMemberUserByUsername(@PathVariable String username) {
        log.info("获取member user info。。。");
        MemberUserAuthDTO user = memberUserService.getByUsername(username);
        return ApiResult.ok(user);
    }
}
