package com.recovery.auth.feign;



import com.recovery.common.base.config.feign.FeignConfiguration;
import com.recovery.common.base.dto.UserAuthDTO;
import com.recovery.common.base.result.ApiResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author： 
 */
@FeignClient(value = "hoe-admin",configuration = FeignConfiguration.class)
public interface UserFeignClient {

    @GetMapping("/api/rest/users/getUserByUsername")
    ApiResult<UserAuthDTO> getUserByUsername(@RequestParam(value = "username") String username);

    @GetMapping("/api/rest/users/member/username")
    ApiResult<UserAuthDTO> getMemberUserByUsername(@RequestParam(value = "username") String username);
}
