package com.recovery.common.base.ds;

/**
 * @ClassName： DataSourceContextHolder
 * @Description： 数据源上下文
 * @Author：
 * @Date： 2022/2/18 10:04
 **/
public class DataSourceContextHolder {
    private static final ThreadLocal<String> contextHolder = new ThreadLocal<String>();
    /**
     * @MonthName： setDBType
     * @Description： 设置当前线程持有的数据源
     * @Author：
     * @Date： 2022/2/18 10:07
     * @Param： [dbType]
     * @return： void
     **/
    public static synchronized void setDBType(String dbType){
        contextHolder.set(dbType);
    }
    /**
     * @MonthName： getDBType
     * @Description： 获取当前线程持有的数据源
     * @Author： tanyp
     * @Date： 2022/2/18 10:07
     * @Param： []
     * @return： java.lang.String
     **/
    public static String getDBType(){
        return contextHolder.get();
    }
    /**
     * @MonthName： clearDBType
     * @Description： 清除当前线程持有的数据源
     * @Author： tanyp
     * @Date： 2022/2/18 10:07
     * @Param： []
     * @return： void
     **/
    public static void clearDBType(){
        contextHolder.remove();
    }
}
