package com.recovery.order.config.redis;

public interface RedisCache {
    /**
     * 描述：获取缓存
    */
    public String get(String key);
    public Object get_obj(String key);
    /**
     * 描述：删除缓存
     */
    public void remove(String key);
    /**
     * 描述：添加缓存
     */
    public void put(String key, String value);
    public void put_obj(String key, Object value);

    /**
     * 描述：添加缓存并且添加失效时间
     */
    public void put(String key, String value, int second);
    public void put_obj(String key, Object value, int second);
    /**
     * 描述：根据缓存value值加减
     */
    public long incr(String key, long value);

    /**
     * 描述：设置超时时间
     */
    public void expire(String key);
    public void expireDays(String key,int days);

    /**
     * 是否存在
     * @param key
     * @return
     */
    Boolean isExists(String key);

    /**
     * 清除某类key
     * @param patten
     */
    public void clean(String patten);
}
